<template>
    <div>
        <label :for="fieldname">{{ label }}</label>
        <br>
        <input type="autocomplete">
        <broject-database-fieldchanger
            :classname="classname"
            :entity-id="entityId"
            :fieldname="fieldname"
            :old-value="oldValue"
            :new-value="newValue"
            :disabled="disabled"
            :is-changing="isChanging"
            type="autocomplete"
            @changeSucceeded="changeValueInVue"
            @changeFailed="handleFailedFieldChange"
        ></broject-database-fieldchanger>
    </div>
</template>

<script>
    import General from './General.vue';

    export default {

        extends: General,

        props: {
            items: {
                type: Array,
                required: true,
            },

            itemText: {
                type: String,
                required: true,
            },

            itemValue: {
                type: String,
                required: true,
            },

            nullable: {
                type: Boolean,
                default: false,
            },

            value: {
                type: Number,
                default: null,
            }
        }

    }
</script>
